#pragma once

#include <vector>
#include "tools/mathutils.h"

namespace beat_utils
{
    struct BeatInfo
    {
        int BPM = 0;
        microsec interval = 0;
    };

    BeatInfo calculateBeatRateInfo(const std::vector<microsec>& approximate_deltas);
}
